Package net.md_5.bungee.protocol.packet

# Class EntityStatus

java.lang.Object
net.md_5.bungee.protocol.DefinedPacket
net.md_5.bungee.protocol.packet.EntityStatus

public class EntityStatus extends DefinedPacket

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final byte`
  `DEBUG_INFO_NORMAL`
  `static final byte`
  `DEBUG_INFO_REDUCED`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EntityStatus()`
  `EntityStatus(int entityId, byte status)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `int`
  `getEntityId()`
  `byte`
  `getStatus()`
  `void`
  `handle(AbstractPacketHandler handler)`
  `int`
  `hashCode()`
  `void`
  `read(io.netty.buffer.ByteBuf buf)`
  `void`
  `setEntityId(int entityId)`
  `void`
  `setStatus(byte status)`
  `String`
  `toString()`
  `void`
  `write(io.netty.buffer.ByteBuf buf)`

  ### Methods inherited from class net.md_5.bungee.protocol.DefinedPacket

  `nextProtocol, read, read, readArray, readArray, readBaseComponent, readBaseComponent, readComponentStyle, readEitherBaseComponent, readEnumSet, readFixedBitSet, readLengthPrefixed, readNullable, readNumberFormat, readProperties, readPublicKey, readString, readString, readStringArray, readStringMapKey, readTag, readTag, readUUID, readVarInt, readVarInt, readVarIntArray, readVarShort, setVarInt, toArray, write, write, writeArray, writeBaseComponent, writeComponentStyle, writeEitherBaseComponent, writeEnumSet, writeFixedBitSet, writeLengthPrefixed, writeNullable, writeNumberFormat, writeProperties, writePublicKey, writeString, writeString, writeStringArray, writeTag, writeUUID, writeVarInt, writeVarShort`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### DEBUG_INFO_REDUCED

    public static final byte DEBUG_INFO_REDUCED
    See Also:
      - Constant Field Values

  - ### DEBUG_INFO_NORMAL

    public static final byte DEBUG_INFO_NORMAL
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### EntityStatus

    public EntityStatus()

  - ### EntityStatus

    public EntityStatus(int entityId, byte status)

- ## Method Details

  - ### read

    public void read(io.netty.buffer.ByteBuf buf)
    Overrides:
      `read` in class `DefinedPacket`

  - ### write

    public void write(io.netty.buffer.ByteBuf buf)
    Overrides:
      `write` in class `DefinedPacket`

  - ### handle

    public void handle(AbstractPacketHandler handler) throws Exception
    Specified by:
      `handle` in class `DefinedPacket`
    Throws:
      `Exception`

  - ### getEntityId

    public int getEntityId()

  - ### getStatus

    public byte getStatus()

  - ### setEntityId

    public void setEntityId(int entityId)

  - ### setStatus

    public void setStatus(byte status)

  - ### toString

    public String toString()
    Specified by:
      `toString` in class `DefinedPacket`

  - ### equals

    public boolean equals(Object o)
    Specified by:
      `equals` in class `DefinedPacket`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in class `DefinedPacket`